/*
 * Copyright 2012 Federico Vaga <federico.vaga@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the
 * Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * NOTE:
 * Address updated on: 13/07/2012 from http://www.listenlive.eu/italy.html
 */

Importer.loadQtBinding( "qt.core" );
Importer.loadQtBinding( "qt.xml" );
Importer.loadQtBinding( "qt.network" );
Importer.loadQtBinding( "qt.gui" ); //for QPixmap

var radio_list = {
    radios: [{
	    name: "Antenna Uno",
	    path: "http://84.33.192.44:8090/a1.mp3.m3u",
	    web: "http://www.radioantennauno.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Antenna1",
	    path: "http://s3.mediastreaming.it:7568",
	    web: "http://www.antenna1.fm/",
	    desc: ""
	}, {
	    name: "Centro Suono Sport",
	    path: "http://www.radiocentrosuono.it:8000/rcss.m3u",
	    web: "http://www.centrosuono.com/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "CiaoComo",
	    path: "http://94.23.29.154:8078/listen.pls",
	    web: "http://www.ciaocomo.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Ciccio Riccio",
	    path: "http://onair11.xdevel.com:8198/listen.pls",
	    web: "http://www.ciccioriccio.it/index.php",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Controradio",
	    path: "http://streaming.controradio.com:8190/listen.pls",
	    web: "http://www.controradio.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "DeeGay Radio",
	    path: "http://www.deegay.it/deegay.m3u",
	    web: "http://www.deegay.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "DeeGay Classics",
	    path: "http://www.deegay.it/classic/deegayclassic.m3u",
	    web: "http://www.deegay.it/classic/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "ecoRadio",
	    path: "http://130.117.233.172:8777/live.m3u",
	    web: "http://www.ecoradio.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "ElleRadio",
	    path: "http://178.32.136.160:8104/listen.pls",
	    web: "http://www.elleradio.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "FM Classic",
	    path: "http://www.streamsolution.it/onair/fmclassic.asx",
	    web: "http://www.fmclassic.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "FM Italia",
	    path: "http://onair7.xdevel.com:8700/listen.pls",
	    web: "http://www.radiofmitalia.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Gamma Radio",
	    path: "http://159.253.145.180:7014/listen.pls",
	    web: "http://www.gammaradio.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Golden Radio",
	    path: "http://www.goldenradio.it/listen.m3u",
	    web: "http://www.goldenradio.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Golden Hit",
	    path: "http://www.goldenradio.it/hitradio/hr128.m3u",
	    web: "http://www.goldenradio.it/hitradio",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "LifeGate",
	    path: "http://www.streamsolution.it/onair/lifegate.asx",
	    web: "http://www.lifegate.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Love FM",
	    path: "http://onair10.xdevel.com/LoveFM",
	    //web: "", // Flash Website
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "M2O",
	    path: "http://mp3.kataweb.it:8000/M2O.m3u",
	    web: "http://www.m2o.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Magic Music Radio",
	    path: "http://www.gammagioiosa.net/magic.m3u",
	    web: "http://www.gammagioiosa.net/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "MultiRadio",
	    path: "http://multiradio.podzone.org:8008/stream.aac.m3u",
	    web: "http://www.multiradio.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Primaradio Cosenza",
	    path: "http://159.253.145.180:7120/listen.pls",
	    //web: "", // Flash Website
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Primaradio Napoli",
	    path: "http://kemoniastreaming2.net:8010/listen.pls",
	    web: "http://www.primaradio.com/com/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Primaradio Sicilia",
	    path: "http://188.165.242.32:8126/listen.pls",
	    web: "http://www.primaradio.net/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Primaradio Piemonte",
	    path: "http://69.60.119.117:8000/listen.pls",
	    web: "http://www.primaradio.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Queen Hit Radio",
	    path: "http://ascolta.no-ip.org:8000/listen.pls",
	    web: "http://www.radioqueen.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio 3 Network",
	    path: "http://213.243.232.9:8003/listen.pls",
	    web: "http://www.radio3.net/web/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio 2000",
	    path: "http://server2.digital-webstream.de:9840/listen.pls",
	    //web: "", // not found
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Adige",
	    path: "http://188.165.242.32:8128/listen.pls",
	    web: "http://www.radioadige.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Alcamo Centrale",
	    path: "http://onair11.xdevel.com:8214/listen.pls",
	    web: "http://www3.radioalcamocentrale.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Aldebaran",
	    path: "http://www.radioaldebaran.it/listen24.pls",
	    web: "http://www.radioaldebaran.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Amore Campania",
	    path: "http://91.121.121.15:8002/listen.pls",
	    web: "http://www.radioamore.it/index.php",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Antenna Verde",
	    path: "http://stream2.ion.it/radioantennaverde",
	    web: "http://www.radioantennaverde.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Popolare Network",
	    path: "http://www.radiobase.net/wp-content/stream/stream32.ogg.m3u",
	    web: "http://www.radiopopolare.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Blu Toscana",
	    path: "http://159.253.145.180:7024/listen.pls",
	    web: "http://www.radioblutoscana.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio BPM",
	    path: "http://84.33.192.44:8090/bpm.m3u",
	    web: "http://www.radiobpm.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Bruno",
	    path: "http://www.streamsolution.it/onair/radiobruno.asx",
	    web: "http://www.radiobruno.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Burdio",
	    path: "http://94.23.29.154:8040/listen.pls",
	    web: "http://www.radiobudrio.it/home.php",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Capital",
	    path: "http://wm.streaming.kataweb.it/reflector:44434",
	    web: "http://www.capital.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Capri",
	    path: "http://94.23.15.160:8012/listen.pls",
	    //web: "", // Flash website
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Catania",
	    path: "http://onair18.xdevel.com:8162/listen.pls",
	    web: "http://www.radiocatania.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Centro95",
	    path: "http://194.116.73.162/radiocentro95.m3u",
	    web: "http://www.softfm.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Città del Capo",
	    path: "http://stream.rcdc.it:8000/listen.pls",
	    web: "http://radio.rcdc.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio City Light",
	    path: "http://188.40.135.5:8000/listen.pls",
	    web: "http://www.radiocitylight.com/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Classica",
	    path: "http://www.radioclassica.fm/radio-classica.asx",
	    web: "http://www.radioclassica.fm/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Classica Bresciana",
	    path: "http://radio.gruppoeditorialebresciana.it/radioclassica",
	    web: "http://servizi.bresciaonline.it/radioclassica/index.php",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Club 103",
	    path: "http://176.31.228.196:9065/listen.pls",
	    web: "http://www.radioclub103.it/",
	    coverURL: "",
	    desc: ""
	}, {
	    name: "Radio Club Network",
	    path: "http://sh1.inmystream.info:8188/listen.pls",
	    web: "http://www.radioclubnetwork.com/",
	    coverURL: "",
	    desc: ""
	}, {
	    name: "Radio Cortina",
	    path: "http://www.radiocortina.it/live96kbps.asx",
	    web: "http://www.radiocortina.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Cuore",
	    path: "http://159.253.145.180:7020/listen.pls",
	    web: "http://www.radiocuore.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio DeeJay",
	    path: "mms://wm.streaming.kataweb.it/reflector:45899",
	    web: "http://www.deejay.it/",
	    coverURL: "", 
	    desc: ""
	}, /*{
	    name: "Radio Dimensione Musica",
	    path: "http://shout.ifactorystream.net:9016/listen.pls",
	    web: "http://www.rds.it/home",
	    coverURL: "", 
	    desc: ""
	},*/ {
	    name: "Radio Dolomiti",
	    path: "http://streaming.radiodolomiti.com:8068/listen.pls",
	    web: "http://www.radiodolomiti.it",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Due.Zero",
	    path: "http://www.radioduepuntozero.net/diretta.m3u",
	    web: "http://www.radioduepuntozero.net/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Empire",
	    path: "http://onair11.xdevel.com:9996/listen.pls",
	    web: "http://www.radioempire.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Energy",
	    path: "http://www.radioenergy.to/energy.m3u",
	    web: "http://www.radioenergy.to/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Fiemme 104",
	    path: "http://radiofiemme.no-ip.org:8000/listen.pls",
	    web: "http://www.radiofiemme.it/",
	    coverURL: "", 
	    desc: ""
	}, /*{
	    name: "Radio Fiesole",
	    path: "http://83.103.40.205:8000/fiesole100.mp3.m3u",
	    web: "http://www.radiofiesole.it/",
	    coverURL: "", 
	    desc: ""
	},*/ {
	    name: "Radio Flash",
	    path: "http://radio.digital2b.com:8100/listen.pls",
	    web: "http://www.radioflash.to/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Gamma",
	    path: "http://www.gammagioiosa.net/radiogamma.m3u",
	    web: "http://www.radiogamma.com/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Gammagioiosa GoldenHits",
	    path: "http://www.gammagioiosa.net/goldenhits.m3u",
	    web: "http://www.gammagioiosa.net/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Gammagioiosa Lovesongs",
	    path: "http://www.gammagioiosa.net/gammalove.m3u",
	    web: "http://www.gammagioiosa.net/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Genius",
	    path: "http://onair11.xdevel.com:8136/listen.pls",
	    web: "http://www.radiogenius.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Globo",
	    path: "http://www.radioglobo.it/playlist/globo128k.m3u",
	    web: "http://www.radioglobo.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Gold",
	    path: "http://stream15.top-ix.org/radiogold.m3u",
	    web: "http://www.radiogold.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Holiday",
	    path: "http://server6.digital-webstream.de:18260/listen.pls",
	    web: "http://www.radioholiday.it/de/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio IES",
	    path: "http://www.radioies.it/radioIES.m3u",
	    web: "http://www.radioies.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Iglesias",
	    path: "http://www.streamsolution.it/onair/radioiglesias.asx",
	    web: "http://www.radioiglesias.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Incontro",
	    path: "http://62.196.56.14:8030/listen.pls",
	    web: "http://www.radioincontro.it/",
	    coverURL: "", 
	    desc: ""
	}, /*{
	    name: "Radio Insieme",
	    path: "http://174.37.194.139:8516/listen.pls",
	    web: "http://www.radioinsieme.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Italia",
	    path: "http://radioitalialive.str.idc.extra.it/radioitalia",
	    web: "http://www.radioitalia.it/",
	    coverURL: "", 
	    desc: ""
	},*/ {
	    name: "Radio Italia Anni 60",
	    path: "http://78.129.231.143:7140/listen.pls",
	    web: "http://www.radioitaliaanni60.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Italia Uno",
	    path: "http://94.23.29.154:8013/listen.pls",
	    //web: "", //Flash website
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Kairos",
	    path: "http://www.radiokairos.it:8000/different.ogg.m3u",
	    web: "http://www.radiokairos.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "KissKiss",
	    path: "http://players.fluidstream.net/kisskissnetwork.pls",
	    web: "http://www.kisskiss.it/",
	    coverURL: "", 
	    desc: ""
	}, /*{
	    name: "KissKiss History Hits", 
	    path: "http://players.creacast.com/creacast/kisskiss_history_hits/playlist.pls",
	    web: "http://www.kisskiss.it/",
	    coverURL: "", 
	    desc: ""
	},*/ {
	    name: "KissKiss Italia",
	    path: "http://players.fluidstream.net/kisskissitalia.pls",
	    web: "http://www.kisskissitalia.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "KissKiss Napoli",
	    path: "http://players.fluidstream.net/kisskissnapoli.pls",
	    web: "http://www.kisskissnapoli.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Latte e Miele",
	    path: "http://onair7.xdevel.com:8084/listen.pls",
	    web: "http://www.lattemiele.com/",
	    coverURL: "", 
	    desc: ""
	}, /*{
	    name: "Radio Lina",
	    path: "http://91.121.222.160:9300/listen.pls",
	    web: "http://www.radiolina.it/",
	    coverURL: "", 
	    desc: ""
	},*/ {
	    name: "Radio Linea No.1",
	    path: "http://onair11.xdevel.com:8114/listen.pls",
	    web: "http://www.radiolinea.it/",
	    coverURL: "", 
	    desc: ""
	}, /*{
	    name: "Radio Lodi",
	    path: "http://pmp-stream01.pmp.it/radiolodilive",
	    web: "http://www.radiolodi.it/",
	    coverURL: "", 
	    desc: ""
	},*/ {
	    name: "Radio Ogliata",
	    path: "http://www.radiololgiata.net/media/olgiata.asx",
	    web: "http://www.radiololgiata.net/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Mambo",
	    path: "http://www.mambo.it/player/mambo.m3u",
	    web: "http://www.radiomambo.it/?link=1",
	    coverURL: "", 
	    desc: ""
	}, /*{
	    name: "Radio Messina Sud",
	    path: "http://www.xdevel.com/radio/messinasud.asx",
	    web: "",
	    coverURL: "", 
	    desc: ""
	},*/ {
	    name: "Radio Norba",
	    path: "http://www.xdevel.com/radio/radionorba.asx",
	    web: "http://www.radionorba.it/sp/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Number One",
	    path: "http://shoutcast.streamingmedia.it:8004/listen.pls",
	    web: "http://www.radionumberone.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Nuova inBlu",
	    path: "http://www.radionuova.com/radionuova/dirette-radionuova-live.wpl",
	    web: "http://www.radionuova.com/",
	    coverURL: "", 
	    desc: ""
	}, /*{
	    name: "Radio Omega Sound",
	    path: "http://www.radioomega.it/RadioOmegaHigh.m3u",
	    web: "http://www.radioomega.it/",
	    coverURL: "", 
	    desc: ""
	},*/ {
	    name: "Radio Onda 1",
	    path: "http://www.radioonda.it/live1/128.pls",
	    web: "http://www.radioonda.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Onda 2",
	    path: "http://www.radioonda.it/live2/128.pls",
	    web: "http://www.radioonda.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Onda Rossa",
	    path: "http://radio.dyne.org:8000/ondarossa.mp3.m3u",
	    web: "http://www.ondarossa.info/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Oreb",
	    path: "http://91.121.121.15:8200/listen.pls",
	    web: "http://www.radioreb.org/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Pianeta",
	    path: "http://www.radiopianeta.it:8000/listen.pls",
	    web: "http://www.radiopianeta.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Pico", 
	    path: "http://onair11.xdevel.com:8064/listen.pls",
	    web: "http://www.radiopico.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Pico Classic", 
	    path: "http://91.121.121.15:8014/listen.pls",
	    web: "http://www.radiopico.it/radiopico_classic.php",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Planet",
	    path: "http://www.radioplanet.it/OnAir.asx",
	    web: "http://www.radioplanet.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Popolare",
	    path: "http://www.radiopopolare.it/liveU.asx",
	    web: "http://www.radiopopolare.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Popolare Roma",
	    path: "http://www.radiopopolareroma.it/files/rpr.m3u",
	    web: "http://www.radiopopolareroma.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Punto Zero",
	    path: "http://159.253.145.180:7100/listen.pls",
	    web: "http://radiopuntozero.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Radicale",
	    path: "http://livemp3.radioradicale.it/live.mp3.m3u",
	    web: "",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Rock",
	    path: "http://94.23.29.154:8050/listen.pls",
	    web: "http://www.radioradicale.it/",
	    coverURL: "", 
	    desc: ""
	}, /*{
	    name: "Radio Rosa",
	    path: "http://www.streamsolution.it/onair/RadioRosa.asx",
	    web: "http://www.radiorosa.it/",
	    coverURL: "", 
	    desc: ""
	},*/ {
	    name: "Radio Sei", 
	    path: "http://94.23.67.172:9104/listen.pls",
	    web: "http://www.radiosei.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Serra 98", 
	    path: "http://72.13.81.34:1960/listen.pls",
	    web: "http://www.rs98.fm/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Skipper", 
	    path: "http://radioskipper.com/128.pls",
	    web: "http://www.radioskipper.com/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Star",
	    path: "http://212.48.126.114/radiostar92e5",
	    web: "http://www.radiostar.it/",
	    coverURL: "", 
	    desc: ""
	}, /*{
	    name: "Radio Studio Centrale",
	    path: "http://www.spotaudio.net:8002/listen.pls",
	    web: "http://www.studiocentrale.it/",
	    coverURL: "", 
	    desc: ""
	},*/ {
	    name: "Radio Studio Più", 
	    path: "http://www.studiopiu.net:8000/listen.pls",
	    web: "http://www.studiopiu.net/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Studio Più 2",
	    path: "http://www.studiopiu.net:8005/listen.pls",
	    web: "http://www.studiopiu.net/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Studio 7",
	    path: "http://onair15.xdevel.com:8144/listen.pls",
	    web: "http://www.radiostudio7.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Subasio",
	    path: "http://www.xdevel.com/radio/subasio.asx",
	    // web: "", // Flash website
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio suby",
	    path: "http://www.streamsolution.it/onair/suby.pls",
	    // web: "", // Flash website
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Suby Nice",
	    path: "http://www.streamsolution.it/onair/SubyNice.asx",
	    //web: "",
	    coverURL: "", 
	    desc: ""
	}, /*{
	    name: "Radio Suby Dolce",
	    path: "http://www.streamsolution.it/onair/DolceSuby.asx",
	    //web: "",
	    coverURL: "", 
	    desc: ""
	},*/ {
	    name: "Radio System Network",
	    path: "http://nr3.newradio.it:8110/listen.pls",
	    web: "http://www.systemnetwork.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Taormina",
	    path: "http://www.streamsolution.it/onair/winamp_taormina.pls",
	    web: "http://www.radiotaormina.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Ti Ricordi",
	    path: "http://tiricordi.newradiostream.com:8224/listen.pls",
	    web: "http://www.radiotiricordi.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Tour",
	    path: "http://159.253.145.180:7004/listen.pls",
	    web: "http://www.radiotour.fm/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Touring",
	    path: "http://onair18.xdevel.com:8102/listen.pls",
	    web: "http://www.radiotouring.eu/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Vanessa",
	    path: "http://www.radiovanessa.it/files/radio_vanessa.pls",
	    web: "http://www.radiovanessa.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Venere",
	    path: "http://176.31.251.17:8030/listen.pls",
	    web: "http://www.radiovenere.net/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Zammù",
	    path: "http://151.97.15.7:8000/zammu.m3u",
	    web: "http://www.radiozammu.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "SoloRadio",
	    path: "http://panel8.newradio.it/tunein.php/asssolor/playlist.pls",
	    web: "http://www.radiozammu.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Stereo Città",
	    path: "http://onair11.xdevel.com:8134/listen.pls",
	    web: "http://www.stereocitta.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Viva FM",
	    path: "http://www.vivafm.it/viva.asx",
	    web: "http://www.vivafm.it/",
	    coverURL: "", 
	    desc: ""
	},/* {
	    name: "Top Italia Radio",
	    path: "http://94.23.207.112:9434/listen.pls",
	    web: "http://www.tir.fm/",
	    coverURL: "", 
	    desc: ""
	},*/ {
	    name: "Radio 101",
	    path: "http://players.creacast.com/creacast/r101/playlist.pls",
	    web: "",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio 101 '80",
	    path: "http://players.creacast.com/creacast/r101_thema1/playlist.pls",
	    web: "http://www.r101.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio 101 '90",
	    path: "http://players.creacast.com/creacast/r101_thema2/playlist.pls",
	    web: "http://www.r101.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio 101 '00",
	    path: "http://players.creacast.com/creacast/r101_thema3/playlist.pls",
	    web: "http://www.r101.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio 101 No-Stop Music", 
	    path: "http://players.creacast.com/creacast/r101_thema4/playlist.pls",
	    web: "http://www.r101.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio 101 '70",
	    path: "http://players.creacast.com/creacast/r101_thema5/playlist.pls",
	    web: "http://www.r101.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Tirol",
	    path: "http://players.creacast.com/creacast/radiotirol_a/playlist.pls",
	    web: "http://www.radiotirol.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "RAI Radio 1",
	    path: "http://212.162.68.232/1.mp3.m3u",
	    web: "http://www.radio.rai.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "RAI Radio 2",
	    path: "http://212.162.68.232/2.mp3.m3u",
	    web: "http://www.radio.rai.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "RAI Radio 3",
	    path: "http://212.162.68.232/3.mp3.m3u",
	    web: "http://www.radio.rai.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "RAI Leggera",
	    path: "http://212.162.68.232/4.mp3.m3u",
	    web: "http://www.radio.rai.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "RAI Auditorium",
	    path: "http://212.162.68.232/5.mp3.m3u",
	    web: "http://www.radio.rai.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "RAI Isoradio",
	    path: "http://212.162.68.232/6.mp3.m3u",
	    web: "http://www.radio.rai.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "RAI Parlamento",
	    path: "http://212.162.68.232/7.mp3.m3u",
	    web: "http://www.radio.rai.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "RAI Italia",
	    path: "http://212.162.68.232/8.mp3.m3u",
	    web: "http://www.radio.rai.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "RAI WebRadio 6",
	    path: "http://212.162.68.232/9.mp3.m3u",
	    web: "http://www.radio.rai.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "RAI WebRadio 7",
	    path: "http://212.162.68.232/10.mp3.m3u",
	    web: "http://www.radio.rai.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "RAI WebRadio 8",
	    path: "http://212.162.68.232/11.mp3.m3u",
	    web: "http://www.radio.rai.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "RTL 102.5",
	    path: "http://shoutcast.rtl.it:3010/listen.pls",
	    web: "http://www.rtl.it/home/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "RTL 102.5 Classic",
	    path: "http://shoutcast.rtl.it:3020/listen.pls",
	    web: "http://www.rtl.it/home/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "RTL 102.5 Groove",
	    path: "http://shoutcast.rtl.it:3040",
	    web: "http://www.rtl.it/home/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "RTL 102.5 Italian Style",
	    path: "http://shoutcast.rtl.it:3030/listen.pls",
	    web: "http://www.rtl.it/home/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "RTL 102.5 Cool",
	    path: "http://shoutcast.rtl.it:3070/listen.pls",
	    web: "http://www.rtl.it/home/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio 105",
	    path: "http://shoutcast.unitedradio.it:1101/listen.pls",
	    web: "http://www.105.net/index",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio 105 Hits",
	    path: "http://shoutcast.unitedradio.it:1109/listen.pls",
	    web: "http://www.105.net/index",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio 105 Hip-Hop/R&B",
	    path: "http://shoutcast.unitedradio.it:1113/listen.pls",
	    web: "http://www.105.net/index",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio 105 House",
	    path: "http://shoutcast.unitedradio.it:1203/listen.pls",
	    web: "http://www.105.net/index",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio 105 Latino",
	    path: "http://shoutcast.unitedradio.it:1209/listen.pls",
	    web: "http://www.105.net/index",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio 105 Miami",
	    path: "http://shoutcast.unitedradio.it:1215/listen.pls",
	    web: "http://www.105.net/index",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio 105 Story",
	    path: "http://shoutcast.unitedradio.it:1313/listen.pls",
	    web: "http://www.105.net/index",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio 105 Creazy Radio", 
	    path: "http://shoutcast.unitedradio.it:1207/listen.pls",
	    web: "http://www.105.net/index",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio 105 Zoo Radio",
	    path: "http://shoutcast.unitedradio.it:1413/listen.pls",
	    web: "http://www.105.net/index",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio 105 Classics",
	    path: "http://shoutcast.unitedradio.it:1409/listen.pls",
	    web: "http://www.105.net/index",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Montecarlo",
	    path: "http://shoutcast.unitedradio.it:1103/listen.pls",
	    web: "http://www.radiomontecarlo.net/home",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Montecarlo 2",
	    path: "http://shoutcast.unitedradio.it:1107/listen.pls",
	    web: "http://www.radiomontecarlo.net/home",
	    coverURL: "", 
	    desc: ""
	}, /*{
	    name: "Radio Montecarlo 60",
	    path: "http://shoutcast.unitedradio.it:1317/listen.pls",
	    web: "http://www.radiomontecarlo.net/home",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Montecarlo 70",
	    path: "http://shoutcast.unitedradio.it:1407/listen.pls",
	    web: "http://www.radiomontecarlo.net/home",
	    coverURL: "", 
	    desc: ""
	},*/ {
	    name: "Radio Montecarlo 80",
	    path: "http://shoutcast.unitedradio.it:1401/listen.pls",
	    web: "http://www.radiomontecarlo.net/home",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Montecarlo 90",
	    path: "http://shoutcast.unitedradio.it:1403/listen.pls",
	    web: "http://www.radiomontecarlo.net/home",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Montecarlo Italia",
	    path: "http://shoutcast.unitedradio.it:1211/listen.pls",
	    web: "http://www.radiomontecarlo.net/home",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Montecarlo Love Songs",
	    path: "http://shoutcast.unitedradio.it:1121/listen.pls",
	    web: "http://www.radiomontecarlo.net/home",
	    coverURL: "", 
	    desc: ""
	}, /*{
	    name: "Radio Montecarlo the Best",
	    path: "http://shoutcast.unitedradio.it:1205/listen.pls",
	    web: "http://www.radiomontecarlo.net/home",
	    coverURL: "", 
	    desc: ""
	},*/ {
	    name: "Radio Montecarlo Marine",
	    path: "http://shoutcast.unitedradio.it:1311/listen.pls",
	    web: "http://www.radiomontecarlo.net/home",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Montecarlo new classics",
	    path: "http://shoutcast.unitedradio.it:1117/listen.pls",
	    web: "http://www.radiomontecarlo.net/home",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Montecarlo Nights Story",
	    path: "http://shoutcast.unitedradio.it:1115/listen.pls",
	    web: "http://www.radiomontecarlo.net/home",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Montecarlo Bau",
	    path: "http://shoutcast.unitedradio.it:1405/listen.pls",
	    web: "http://www.radiomontecarlo.net/home",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Virgin Radio",
	    path: "http://shoutcast.unitedradio.it:1301/listen.pls",
	    web: "http://www.virginradioitaly.it/home",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Virgin Classic",
	    path: "http://shoutcast.unitedradio.it:1307/listen.pls",
	    web: "http://www.virginradioitaly.it/home",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Virgin Hard Rock",
	    path: "http://shoutcast.unitedradio.it:1309/listen.pls",
	    web: "http://www.virginradioitaly.it/home",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Virgin Alternative",
	    path: "http://shoutcast.unitedradio.it:1513/listen.pls",
	    web: "http://www.virginradioitaly.it/home",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Virgin Rock 70",
	    path: "http://shoutcast.unitedradio.it:1119/listen.pls",
	    web: "http://www.virginradioitaly.it/home",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Virgin Rock 80",
	    path: "http://shoutcast.unitedradio.it:1411/listen.pls",
	    web: "http://www.virginradioitaly.it/home",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Antenna Radio Esse",
	    path: "http://s8.mediastreaming.it:7580/listen.pls",
	    wen: "http://www.antennaradioesse.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "NBC - Rete Regione",
	    path: "http://s3.mediastreaming.it:9022",
	    web: "http://radionbc.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Alfa",
	    path: "http://s3.mediastreaming.it:7060",
	    web: "http://www.radioalfa.fm/home/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio MPA",
	    path: "http://s3.mediastreaming.it:7140",
	    web: "http://www.radiompa.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio International", 
	    path: "http://wma2.mediastreaming.it/radiointernational",
	    web: "http://www.radiointernational.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Millennium", 
	    path: "http://wma2.mediastreaming.it/radiomillennium",
	    web: "http://www.radiomillennium.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Punto Nuovo",
	    path: "http://s3.mediastreaming.it:7260",
	    web: "http://www.radiopuntonuovo.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Selene", 
	    path: "http://streaming.meway.it/tunein.php/selene/playlist.pls",
	    web: "http://www.radioselene.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Delta Radio", 
	    path: "http://players.fluidstream.net/deltaradio.pls",
	    web: "http://www.deltaradio.it/",
	    coverURL: "", 
	    desc: ""
	}, /*{
	    name: "Easy Network",
	    path: "str01.fluidstream.net:6040",
	    web: "http://www.easynetwork.fm/v3/home.asp",
	    coverURL: "", 
	    desc: ""
	},*/{
	    name: "Radio 80",
	    path: "http://players.fluidstream.net/r80fluidstream.pls",
	    web: "http://www.radio80.it/staff.php",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Bella&Monella",
	    path: "http://players.fluidstream.net/bellaemonella.pls",
	    web: "http://www.belllaemonella.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Belluno",
	    path: "http://players.fluidstream.net/RadioBelluno_itunes.pls",
	    web: "http://www.radiobelluno.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Birikina",
	    path: "http://players.fluidstream.net/birikina.pls",
	    web: "http://www.birikina.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Company", 
	    path: "http://players.fluidstream.net/companyfluidstream.pls",
	    web: "http://www.radiocompany.com/home.php",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Gelosa", 
	    path: "http://players.fluidstream.net/gelosa.pls",
	    web: "http://www.radiogelosa.it/index2.php",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Marilù", 
	    path: "http://players.fluidstream.net/marilu.pls",
	    web: "http://www.marilu.it/index3.php",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Metrò", 
	    path: "http://players.fluidstream.net/radiometro.pls",
	    web: "http://www.radiometro.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Padova",
	    path: "http://str01.fluidstream.net:6020/listen.pls",
	    web: "http://radiopadova.com/it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio PiterPan",
	    path: "http://players.fluidstream.net/piterpan.pls",
	    web: "http://www.piterpan.it/m2012/index2.php",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Record",
	    path: "http://wma01.fluidstream.net:7170/listen.pls",
	    web: "http://www.radiorecord.com/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Sorrriso",
	    path: "http://players.fluidstream.net/sorriso.pls",
	    web: "http://www.sorrriso.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio Venezia",
	    path: "http://wma02.fluidstream.net:8300/listen.pls",
	    web: "http://www.radiovenezia.it/",
	    coverURL: "", 
	    desc: ""
	}, {
	    name: "Radio24",
	    path: "http://shoutcast.radio24.it:8000/listen.pls",
	    web: "http://www.radio24.ilsole24ore.com/",
	    coverURL: "", 
	    desc: "" 
	},
    ],

    /* Methods to retive radio's information */
    getName: function (i) {
	return this.radios[i].name;
    },
    getPlayableUrl: function (i) {
	return this.radios[i].path;
    },
    getDesc: function (i) {
	return this.radios[i].desc;
    },
    getWeb: function (i) {
	if (typeof(this.radios[i].web) === "undefined")
	    return "";
	else
	    return this.radios[i].web;
    },
    getCoverURL: function (i) {
	return this.radios[i].coverURL;
    },
};

function RadioItaliaStreaming()
{
    ScriptableServiceScript.call( this, "Radio Italia Streaming", 1,
				  "Radio Italiane in streaming", 
				  "Radio Italiane in streaming. Creato da <a href='mailto:federico.vaga@gmail.com'>Federico Vaga</a>, siete liberi di contattarmi per segnalare problemi e suggerire modifiche", false );
    Amarok.debug ("Service created");
}

/* Add a new radio */
function prepareItem(i)
{
    item = Amarok.StreamItem;
    item.level = 0;
    item.callbackData = "";
    item.itemName = radio_list.getName(i);
    item.playableUrl = radio_list.getPlayableUrl(i);
    
    website = radio_list.getWeb(i);
    if (website === "") {
	item.infoHtml = item.itemName + ": " + radio_list.getDesc(i);
    } else {
	/* load radio's website */
	item.infoHtml = "<script type='text/javascript'>location.href='"+
	                website+"'</script>";
    }
    if (radio_list.getCoverURL(i) !== "")
	item.coverUrl = Amarok.Info.scriptPath() + "/img/" + radio_list.getCoverURL(i);

    Amarok.debug("add item: " + item.itemName);
    return item;
}

/* Populate Amarok with all radios */
function onPopulating( level, callbackData, filter )
{
    Amarok.debug("Populating radios ...");
    for (i = 0; i < radio_list.radios.length; ++i)
	script.insertItem(prepareItem(i));
    script.donePopulating();
}


/*
 * Costumize the presentation
 */
function onCustomize()
{
    Amarok.debug ("Customizing Radio Italia Streaming");
    var currentDir = Amarok.Info.scriptPath() + "/";
    var iconPixmap = new QPixmap( currentDir + "radioitaliastreaming_icon.png" );
    script.setIcon( iconPixmap );
    var emblemPixmap = new QPixmap( currentDir + "radioitaliastreaming_emblem.png" );
    script.setEmblem( emblemPixmap );
}

script = new RadioItaliaStreaming();
script.populate.connect(onPopulating);
script.customize.connect(onCustomize);

